{-# LANGUAGE NoMonomorphismRestriction #-}
module HAppS.Helpers.HtmlOutput (
  module HAppS.Helpers.HtmlOutput.Common
  , module HAppS.Helpers.HtmlOutput.Menu
  , directoryGroupsHAppS
) where

import HAppS.Helpers.HtmlOutput.Common
import HAppS.Helpers.HtmlOutput.Menu
import Text.StringTemplate.Helpers

directoryGroupsHAppS = directoryGroups' directoryGroupHAppS

-- templates with  naughty emacs backup character get ignored
-- templates whose base names are invalid StringTemplate var names cause failure,
-- because this significantly complicates working with them in HAppS
directoryGroupHAppS = directoryGroupNew' ignoret badTmplVarName
  where ignoret f = not . null . filter (=='#') $ f 

